Subject: B19: socket() problem with fork()
From: [email-masked] (Laurent Merckx)

10 Apr 1998 08:28:54 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------0531131CCB105855FA0C7580"
To: [email-masked]

This is a multi-part message in MIME format.
--------------0531131CCB105855FA0C7580
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Hello,

I'm trying to port a Unix program using socket on 95/NT with GnuWin32.
But when I call the socket() function, this returns an error with
errno=EINPROGRESS (errno=119, strerror="Error 119") which I don't know
on Unix !?

This call is done in a child process (using fork()) but when I call it
in the father (before fork()), it works perfectly !

Does anyone have an idea ? Is it a known bug, a new bug, a programming
error ?

PS: I don't use WinSock sockets !

--------------0531131CCB105855FA0C7580
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Laurent Merckx
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             Laurent Merckx
n:              Merckx;Laurent
org:            EURO DB
adr:            16, Place de l'Université;;;1348 Louvain-La-Neuve;;;Belgique
email;internet: [email-masked]
title:          Informaticien
tel;work:       010/47.67.54
tel;fax:        010/47.67.67
x-mozilla-cpt:  ;0
x-mozilla-html: FALSE
version:        2.1
end:            vcard

--------------0531131CCB105855FA0C7580--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".